﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace eVision.SharpSort
{
    public class TextRange : IEquatable<TextRange>
    {
        public int StartLine;
        public int StartColumn;
        public int EndLine;
        public int EndColumn;

        public override int GetHashCode()
        {
            return StartLine.GetHashCode() + StartColumn.GetHashCode() + EndLine.GetHashCode() + EndColumn.GetHashCode();
        }



        #region IEquatable<TextRange> Members

        public bool Equals(TextRange other)
        {
            return StartLine == other.StartLine &&
                StartColumn == other.StartColumn &&
                EndLine == other.EndLine &&
                EndColumn == other.EndColumn;
        }

        #endregion
    }
}
